class C {}
class X {
	Integer f;
	X (Integer n) {
		this.f = n;
	}
	void m() {
		this.f = new Integer(3);
	}
	static public void main(String[] args) /*throws Exception*/ {
		X x = new X(1);
		x.m();
		x.m();
	}
}